Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7604 - user build fixes to gmp spec file
Summary: user build fixes to gmp spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gmp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-05 19:12 UTC by irwin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-06 21:31:03 UTC


Attachments (Terms of Use)

Description irwin 1999-12-05 19:12:02 UTC
(1) owner and group permissions on install command not allowed for user
build

(2) use %defattr(-,root,root) appropriately

Patch file that fixes the problems follows (with long lines munged by form;
I cannot get the attach option to work).

 diff -Naur gmp.spec_original gmp.spec
--- gmp.spec_original   Mon Sep  6 06:06:56 1999
+++ gmp.spec    Sat Dec  4 17:27:27 1999
@@ -54,7 +54,7 @@

 make CFLAGS="${RPM_OPT_FLAGS}" prefix=${RPM_BUILD_ROOT}/usr install
 gzip -9nf ${RPM_BUILD_ROOT}/usr/info/gmp.info*
-install -m 644 -o root -g root mpn/gmp-mparam.h
${RPM_BUILD_ROOT}/usr/include/
+install -m 644 mpn/gmp-mparam.h ${RPM_BUILD_ROOT}/usr/include/

 %post -p /sbin/ldconfig

@@ -72,9 +72,11 @@
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf
$RPM_BUILD_ROOT

 %files
+%defattr(-,root,root)
 /usr/lib/libgmp.so.2.0.2

 %files devel
+%defattr(-,root,root)
 %doc SPEED NEWS README
 /usr/lib/libgmp.so
 /usr/lib/libgmp.a

Comment 1 Michael K. Johnson 1999-12-06 21:31:59 UTC
Fixed in gmp-2.0.2-11, which should be in the next RawHide.


Note You need to log in before you can comment on or make changes to this bug.